Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class RecordCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.RecordCommand

    class RecordCommand
    extends ComplexCommandSupport

The 'record' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.Object` | `do_start`
`java.lang.Object` | `do_status`
`java.lang.Object` | `do_stop`

Constructor Summary
`RecordCommand(Shell shell)`

Method Summary
`boolean` | `isRecording()`
`java.lang.Object` | `recordError(java.lang.Throwable cause)`
`java.lang.Object` | `recordInput(java.lang.String line)`
`java.lang.Object` | `recordResult(java.lang.Object result)`

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### do_start

    java.lang.Object do_start

### do_status

    java.lang.Object do_status

### do_stop

    java.lang.Object do_stop

Constructor Detail

### RecordCommand

    RecordCommand(Shell shell)

Method Detail

### isRecording

    boolean isRecording()

### recordError

    java.lang.Object recordError(java.lang.Throwable cause)

### recordInput

    java.lang.Object recordInput(java.lang.String line)

### recordResult

    java.lang.Object recordResult(java.lang.Object result)

Groovy Documentation